Get Merchant Status
curl --request GET \
--url https://api-sandbox.cashfree.com/partners/merchants/{merchant_id} \
--header 'x-partner-apikey: <x-partner-apikey>'import requests
url = "https://api-sandbox.cashfree.com/partners/merchants/{merchant_id}"
headers = {"x-partner-apikey": "<x-partner-apikey>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-partner-apikey': '<x-partner-apikey>'}};
fetch('https://api-sandbox.cashfree.com/partners/merchants/{merchant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"merchant_id": "test_merchantid_1",
"merchant_email": "john@cashfree.com",
"merchant_name": "John Doe Business",
"created_at": "2023-07-24T04:45:20.000Z",
"onboarding_status": "Email Verified",
"product_status": [
{
"product_name": "PG",
"product_min_kyc_status": "MIN_KYC_PENDING"
}
]
}{
"message": "Invalid authentication credentials",
"code": "failed_authentication",
"type": "invalid_request_error"
}{
"message": "Merchant not found or linked to partner",
"code": "partner_connect_not_found",
"type": "invalid_request_error"
}{
"message": "Product is already active for the merchant",
"code": "merchant_product_is_active",
"type": "invalid_request_error"
}{
"message": "bad URL, please check API documentation",
"code": "request_failed",
"type": "invalid_request_error"
}Get Merchant Status
Use this API to get Merchant onboarding details by for the sub-merchant account.
GET
/
merchants
/
{merchant_id}
Get Merchant Status
Headers
Partner API Key
API version to be used
Path Parameters
Unique identifier for the merchant
Response
OK
Unique identifier for the merchant. Max 40 characters, Alphanumeric, Hypeh, Underscore allowed.
Registered email address
Business brand name
Timestamp when merchant account was created
Merchant account onboarding status- "Created": Email is not verified, "Email Verified": Email is verified
List of Product KYC Status {"product_name": "PG","product_min_kyc_status": "MIN_KYC_PENDING"}
Show child attributes
Show child attributes
⌘I
